<?php if ( ! defined( 'FW' ) ) { die( 'Forbidden' );}

$options = array(
    'category_header' => array(
        'type' => 'multi-picker',
        'label' => false,
        'desc' => false,
        'picker' => array(
            'gadget' => array(
                'label'   => esc_html__( 'Header image background', 'minera'),
                'type'    => 'short-select',
                'choices' => array(
                    'default' => esc_html__( 'Default', 'minera' ),
                    'custom' => esc_html__( 'Custom', 'minera' )
                ),
                'value' => 'default'
            ),
        ),
        'choices' => array(
            'custom' => array(
                'header_bg' => array(
                    'label'   => esc_html__( 'Upload image', 'minera'),
                    'type'    => 'upload'
                ),
            ),
        )
    ),
    'fullwidth' => array(
        'label'   => esc_html__( 'Fullwidth?', 'minera'),
        'type'    => 'switch',
        'left-choice' => array(
            'value' => 'no',
            'label' => esc_html__('No', 'minera'),
        ),
        'right-choice' => array(
            'value' => 'yes',
            'label' => esc_html__('Yes', 'minera'),
        ),
        'value' => 'no'
    ),
    'sidebar_data' => array(
        'type' => 'multi-picker',
        'label' => false,
        'desc' => false,
        'picker' => array(
            'gadget' => array(
                'label'   => esc_html__( 'Sidebar position', 'minera'),
                'type'    => 'image-picker',
                'choices' => array(
                    'default' => get_template_directory_uri() . '/images/sidebar/default.png',
                    'left' => get_template_directory_uri() . '/images/sidebar/left.png',
                    'full' => get_template_directory_uri() . '/images/sidebar/full.png',
                    'right' => get_template_directory_uri() . '/images/sidebar/right.png',
                ),
                'value' => 'default'
            ),
        ),
        'choices' => array(
            'left' => array(
                'sidebar_bg' => array(
                    'label'   => esc_html__( 'Background color', 'minera'),
                    'type'    => 'color-picker',
                    'value' => '#ffffff'
                ),
            ),
            'right' => array(
                'sidebar_bg' => array(
                    'label'   => esc_html__( 'Background color', 'minera'),
                    'type'    => 'color-picker',
                    'value' => '#ffffff'
                ),
            )
        )
    ),
    'view_style' => array(
        'label'   => esc_html__( 'View style', 'minera'),
        'desc' => esc_html__('Default: You can edit at Customize -> Shop', 'minera'),
        'type'    => 'image-picker',
        'choices' => array(
            'default' => get_template_directory_uri() . '/images/sidebar/default.png',
            'grid' => get_template_directory_uri() . '/images/sidebar/grid.png',
            'list' => get_template_directory_uri() . '/images/sidebar/list.png',
        ),
        'value' => 'default'
    ),
);

