!function($) {
    /*onmouse*/
    $(document).on('mouseenter', ".radio-image-item", function() {
        var t = $(this),
            src = t.data('src'),
            item_left = t.offset().left,
            /* t.offset().top - $(window).scrollTop() === update offset().top when scrolling*/
            item_top = t.offset().top - $(window).scrollTop() + 99,
            preview = t.closest('.radio-image-box').find( ".radio-image-preview" );

        preview.html('<img src="'+ src +'">');
        preview.css({
            'display': 'block',
            'left': item_left - preview.width() / 2 + 40
        });

        /*detect img height*/
        var img_height = preview.find('img').height();

        /*show preview on bottom image*/
        if($(window).height() - t.offset().top - $(window).scrollTop() > img_height){
            preview.addClass('preview-bottom').css({
                'top': item_top
            });
        }else{
            /*show preview on top image*/
            preview.addClass('preview-top').css({
                'top': t.offset().top - $(window).scrollTop() - img_height - 20
            });
        }
    }).on('mouseleave', ".radio-image-item", function() {
        /*mouseleave*/
        var t = $(this),
            preview = t.closest('.radio-image-box').find( ".radio-image-preview" );

        preview.removeAttr('style').removeClass('preview-top preview-bottom').find('img').remove();
    });
    
    /*onclick*/
    $('.radio-image-item').on('click', function(){
        var t = $(this),
            data = t.data('value');
        t.closest('.radio-image-box').find('input').val(data);
        t.addClass('active').siblings().removeClass('active');
    });
}(window.jQuery);