<?php /*content post for ajax loading*/

/*display style: pagination | load more button | infinite scroll*/
$style = get_theme_mod('c_blog_style', 'pagi');
$classes = $style != 'pagi' ? 'blog-data data-' . $style : '';

$col = is_active_sidebar( 'blog-widget' ) ? 'col-md-9 col-lg-9' : 'col-md-12 col-lg-12';

?>

<div class="<?php echo esc_attr($col) . ' ' .esc_attr($classes); ?>">
    <?php if (have_posts()) :
        while ( have_posts() ) : the_post();
            get_template_part( 'content', get_post_format() );
        endwhile;

        if($style != 'pagi'){
            global $wp_query;
            $count = $wp_query->max_num_pages;
            if($count <= 1) return;
            
            /*load more button*/
            if ($style == 'btn'):
                echo '<button class="btn-load-more-post">'. esc_html__( 'Load more posts', 'minera') .'</button>';
            endif;

            /*infinite scroll*/
            if ($style == 'scroll'):
                echo '<span class="el-loading">'.esc_html__('Scroll to load more post', 'minera').'</span>';
            endif;
        }else{
            minera_paging();
        }
    else :
        get_template_part( 'content', 'none' );
    endif; ?>
</div>

<?php if ( is_active_sidebar( 'blog-widget' ) ):/*sidebar*/ ?>
    <div class="col-md-3 col-lg-3">
        <?php get_sidebar(); ?>
    </div>
<?php endif; ?>