<?php if ( ! defined( 'FW' ) ) { die( 'Forbidden' );}

$page_options = array(
    /*GALLERY STYLE*/
    'data_gallery' => array(
        'title'   => esc_html__('Gallery images', 'minera'),
        'type'    => 'tab',
        'options' => array(
            'p_shop_layout' => array(
                'label'   => esc_html__('Layout', 'minera'),
                'type'    => 'short-select',
                'choices' => array(
                    'default' => esc_html__( 'Default', 'minera' ),
                    'list' => esc_html__('Product sticky', 'minera'),
                    'horizontal' => esc_html__('Slider horizontal', 'minera'),
                    'vertical' => esc_html__('Slider vertical', 'minera')
                ),
                'value' => 'default'
            ),
        ),
    ),
    /*BREADCRUMBS*/
    'page_breadcrumbs' => array(
        'title' => esc_html__('Page Header', 'minera'),
        'type' => 'tab',
        'options' => array(
            'p_bread_bg' => array(
                'label'   => esc_html__( 'Background', 'minera' ),
                'desc'   => esc_html__( 'Choose color (This option only available if you disable Sidebar in this post)', 'minera' ),
                'type'    => 'color-picker',
                'value' => ''
            ),
        )
    ),
);
$options = array(
    'page_layout_box' => array(
        'title'   => esc_html__( 'Product Customizing', 'minera'),
        'type'    => 'box',
        'options' => $page_options
    ),
);
