<header class="theme-header-layout header-layout-3" itemscope itemtype="http://schema.org/WPHeader">
    <div class="header-box">
        <?php minera_edit_location('hd3');/*header edit location*/ ?>
        <div class="topbar">
            <div class="container">
                <div class="left-hd3">
                    <button class="ht-ico-search theme-search-btn" id="ht-search-btn"></button>
                </div>
                <?php minera_logo_image();/*logo*/ ?>
                <div class="header-action hd3-action">
                	<?php do_action( 'minera_header_action_before' ); ?>
                    <?php minera_account(); ?>
                    <?php minera_shopping_cart();/*shopping cart*/ ?>
                    <?php do_action( 'minera_header_action_after' ); ?>
                </div>
            </div>
        </div>
        <div class="primary-menu-box theme-menu-responsive" itemscope itemtype="http://schema.org/SiteNavigationElement">
            <div class="container">
                <span class="screen-reader-text"><?php esc_html_e( 'Primary Menu', 'minera' ); ?></span>
                <?php /*primary menu*/
                    if(has_nav_menu('primary')):
                        wp_nav_menu( array( 'theme_location' => 'primary', 'menu_class' => 'theme-primary-menu', 'container' => '' ) );
                    else: ?>
                    <a class="add-menu" href="<?php echo esc_url( get_admin_url() . 'nav-menus.php' ); ?>"><?php esc_html_e( 'Add Menu', 'minera' ); ?></a>
                <?php endif;
                    /*mobile search form*/
                    minera_search_form_mobile(); ?>
            </div>
        </div>
    </div>

    <?php minera_sticky_mobile_menu_over_lay(); ?>
    <?php get_template_part('page-templates/page', 'header');/* breadcrumbs */ ?>
</header>